> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/guides/cashouts/countries-validations/american-countries/paraguay.md).

# Paraguay

### Required fields

<table><thead><tr><th>Field</th><th>Format</th><th width="249.33333333333331">Description</th></tr></thead><tbody><tr><td><code>login</code></td><td>String</td><td>Cashouts login</td></tr><tr><td><code>pass</code></td><td>String</td><td>Cashouts pass</td></tr><tr><td><code>external_id</code></td><td>String (max length: 100)</td><td>Transaction's ID on your end</td></tr><tr><td><code>document_type</code></td><td>See <a href="/pages/-M8muWcG4tmJbnohBWM5#documents-validations">document validations</a></td><td>Beneficiary's document type.</td></tr><tr><td><code>document_id</code></td><td>See <a href="#document_id-validations">document validations</a></td><td>Beneficiary's document ID.</td></tr><tr><td><code>country</code></td><td><code>PY</code></td><td>The country codes are in ISO 3166-1 alpha-2 format. </td></tr><tr><td><code>currency</code></td><td>USD / PYG</td><td>The currencies are in ISO 4217 format.</td></tr><tr><td><code>amount</code></td><td>Number with up to 2 decimals</td><td>Cashout amount</td></tr><tr><td><code>bank_code</code></td><td>See <a href="#bank-codes">bank codes</a></td><td>Code specifying the beneficiary's bank</td></tr><tr><td><code>bank_account</code></td><td>See <a href="#bank-account-validations">validations below</a></td><td>Beneficiary's bank account</td></tr><tr><td><code>beneficiary_name</code></td><td>String (max length: 100)</td><td>Beneficiary's name</td></tr></tbody></table>

### `bank_account` validations

| Bank name | Format                            |
| --------- | --------------------------------- |
| All       | Numeric. Between 3 and 20 digits. |

### `document_type`  and `document_id` validations

<table><thead><tr><th width="166.68359375">Document type</th><th>Format</th></tr></thead><tbody><tr><td><code>CRC</code> / <code>CRP</code> / <code>DNI</code> / <code>PASS</code> / <code>RUC</code></td><td>Length Between 3 and 15 characters</td></tr><tr><td><code>CIC</code></td><td>Length between 6 to 8 characters</td></tr></tbody></table>

### Example request

```json
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "PY",
    "currency": "PYG",
    "amount": 100,
    "document_type": "PASS",
    "document_id": "1225255",
    "beneficiary_name": "User",
    "bank_account": "1234567890",
    "bank_code": "1",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

### Bank codes

{% hint style="success" %}

### Bank code retrieval via API

For the full and most up-to-date list of banks and its codes, please check this endpoint <a href="/spaces/VNE8t2FopKfzgQzTjlBb/pages/kD1eu0r7kuzS2nEDm1N9" class="button primary">Get bank codes</a>
{% endhint %}

| Bank                             | Code |
| -------------------------------- | ---- |
| BANCO CENTRAL DEL PARAGUAY       | 001  |
| BANCO NACIONAL DE FOMENTO        | 002  |
| BANCO DE LA NACION ARGENTINA     | 003  |
| BANCO GNB PARAGUAY               | 4    |
| BANCO DO BRASIL                  | 6    |
| SUDAMERIS BANK                   | 8    |
| BANCO ITAU PARAGUAY              | 17   |
| BANCO CONTINENTAL                | 20   |
| BANCO BASA (ex Amambay)          | 30   |
| VISION BANCO                     | 39   |
| BANCO RIO (Ex - Itapua)          | 40   |
| BANCO FAMILIAR                   | 41   |
| BANCO ATLAS                      | 42   |
| BANCOP                           | 43   |
| INTERFISA BANCO                  | 44   |
| UENO BANK S.A                    | 6557 |
| CRISOL Y ENCARNACION FINANCIERA  | 6558 |
| FINLATINA S.A. DE FINANZAS       | 6559 |
| FINANCIERA PARAGUAYO-JAPONESA    | 6560 |
| FINANCIERA EXPORTADORA PARAGUAYA | 6561 |
| TU FINANCIERA                    | 6565 |
| FIC S.A. DE FINANZAS             | 7079 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/guides/cashouts/countries-validations/american-countries/paraguay.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
